org.apache.olingo.odata2.api.edm.provider

## Class Documentation

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Documentation

-     public class Documentation
      extends Object

  Objects of this class represent documentation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Documentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `String` | `getLongDescription()`
    `String` | `getSummary()`
    `Documentation` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `Documentation`
    `Documentation` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `Documentation`
    `Documentation` | `setLongDescription(String longDescription)` Sets the long description for this `Documentation`
    `Documentation` | `setSummary(String summary)` Sets the summary for this `Documentation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Documentation

          public Documentation()

  - ### Method Detail

    - #### getSummary

          public String getSummary()

      Returns:
        String summary

    - #### getLongDescription

          public String getLongDescription()

      Returns:
        String the long description

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setSummary

          public Documentation setSummary(String summary)

      Sets the summary for this `Documentation`
      Parameters:
        `summary` -
      Returns:
        `Documentation` for method chaining

    - #### setLongDescription

          public Documentation setLongDescription(String longDescription)

      Sets the long description for this `Documentation`
      Parameters:
        `longDescription` -
      Returns:
        `Documentation` for method chaining

    - #### setAnnotationAttributes

          public Documentation setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `Documentation`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Documentation` for method chaining

    - #### setAnnotationElements

          public Documentation setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `Documentation`
      Parameters:
        `annotationElements` -
      Returns:
        `Documentation` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.